<?php
// $Id$
/**
 * @file
 * Demo area handler
 */

/**
 * A demo area handler showing the empty status and its associated setting.
 */
class dr713_handler_area_demo extends views_handler_area {

  function render($empty = FALSE) {
    if (!$empty) {
      $ret = 'Not empty';
    }
    elseif (!empty($this->options['empty'])) {
      $ret = 'Empty and show on empty';
    }
    else {
      $ret = 'Empty and do not show on empty';
    }

    $ret = '<div> ' . $ret . ' ' . format_date(REQUEST_TIME) . '</div>';
    return $ret;
  }
}
