<?php
// $Id$
/**
 * @file
 * Access plugin that provides permission-based access control.
 */

class dr713_plugin_access_var extends views_plugin_access {
  function access($account) {
    return dr713_check_var($account);
  }

  function get_access_callback() {
    return array('dr713_check_var');
  }

  function summary_title() {
    return variable_get('dr713-enabled', TRUE)
      ? t('Enabled by dr-713')
      : t('Disabled by dr-713');
  }
}

function dr713_check_var($account) {
  return variable_get('dr713-enabled', TRUE) || user_access('access all views', $account);
}
